Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 437214 - dev-python/PyQt4-4.9.4-r1 fails to emerge
Summary: dev-python/PyQt4-4.9.4-r1 fails to emerge
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: AMD64 OS X
: Normal normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
: 458630 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-10-04 17:03 UTC by Marco Correia
Modified: 2016-04-01 06:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Correia 2012-10-04 17:03:00 UTC
It is a compilation error. I looked it up and it seems configure.py is assuming executables end with '.app' (see exe_file variable). I solved that problem by manually editing but then it fails due to other reason which led me to suspect I'm doing something wrong.

Reproducible: Always

Steps to Reproduce:
1.emerge PyQt4
2.
3.
Actual Results:  
emerge failed

Expected Results:  
should emerge package

emerge --info '=dev-python/PyQt4-4.9.4-r1'
Portage 2.2.01.21165-prefix (prefix/darwin/macos/10.7/x64, gcc-4.2.1, unavailable, 11.4.2 i386)
=================================================================
                        System Settings
=================================================================
System uname: Darwin-11.4.2-i386-64bit
Timestamp of tree: Thu, 04 Oct 2012 15:53:53 +0000
distcc 3.1-toolwhip.1 i386-apple-darwin11.0 [disabled]
app-shells/bash:      4.2_p36::gentoo_prefix
dev-lang/python:      2.7.3-r2::gentoo_prefix
dev-util/pkgconfig:   0.27.1::gentoo_prefix
sys-devel/autoconf:   2.69::gentoo_prefix
sys-devel/automake:   1.11.1::gentoo_prefix, 1.12.2::gentoo_prefix
sys-devel/gcc:        4.5.3-r1::gentoo_prefix, 4.6.1-r1::gentoo_prefix, 4.7.1::gentoo_prefix
sys-devel/gcc-config: 1.5-r2::gentoo_prefix
sys-devel/libtool:    1.5.26-r1::gentoo_prefix, 2.4.2::gentoo_prefix
sys-devel/make:       3.82::gentoo_prefix
Repositories: gentoo_prefix
ACCEPT_KEYWORDS="~x64-macos"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-apple-darwin11"
CFLAGS="-O2 -pipe "
CHOST="x86_64-apple-darwin11"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/portage /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -pipe "
DISTDIR="/Users/marco/Gentoo/usr/portage/distfiles"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles force-prefix news nostrip parallel-fetch preserve-libs protect-owned sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-dead_strip_dylibs"
MAKEOPTS="-j8"
PKGDIR="/Users/marco/Gentoo/usr/portage/packages"
PORTAGE_CONFIGROOT="/Users/marco/Gentoo/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/Users/marco/Gentoo/var/tmp"
PORTDIR="/Users/marco/Gentoo/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.prefix.freens.org/gentoo-portage-prefix"
USE="aqua coreaudio cracklib cxx ipv6 mmx mmxext modules ncurses nls objc objc++ prefix readline sse sse2 ssl unicode x64-macos zlib" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="Darwin" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse" KERNEL="Darwin" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

less /Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/temp/build.log
 * Package:    dev-python/PyQt4-4.9.4-r1
 * Repository: gentoo_prefix
 * Maintainer: qt@gentoo.org python@gentoo.org
 * Upstream:   phil@riverbankcomputing.com pyqt@riverbankcomputing.com
 * USE:        elibc_Darwin kernel_Darwin prefix userland_GNU x64-macos
 * FEATURES:   nostrip preserve-libs
>>> Unpacking source...
>>> Unpacking PyQt-x11-gpl-4.9.4.tar.gz to /Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work
>>> Source unpacked in /Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work
>>> Preparing source in /Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work/PyQt-x11-gpl-4.9.4 ...
 * Applying PyQt4-4.7.2-configure.py.patch ...
 [ ok ]
 * Applying PyQt4-4.9.4-pyuic-custom-widgets.patch ...
 [ ok ]
 * Preparation of dev-python/PyQt4-4.9.4-r1 with CPython 2.7...
>>> Source prepared.
>>> Configuring source in /Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work/PyQt-x11-gpl-4.9.4 ...
 * Configuration of dev-python/PyQt4-4.9.4-r1 with CPython 2.7...
python2.7 configure.py --confirm-license --bindir=/Users/marco/Gentoo/usr/bin --destdir=/Users/marco/Gentoo/usr/lib/python2.7/site-packages --sipdir=/Users/marco/Gentoo/usr/share/sip --assume-shared --no-timestamp --qsci-api --enable=QtCore --enable=QtNetwork --enable=QtScript --enable=QtXml --no-designer-plugin CC=x86_64-apple-darwin11-gcc CXX=x86_64-apple-darwin11-g++ LINK=x86_64-apple-darwin11-g++ LINK_SHLIB=x86_64-apple-darwin11-g++ CFLAGS=-O2 -pipe  CXXFLAGS=-O2 -pipe  LFLAGS=-Wl,-dead_strip_dylibs
Determining the layout of your Qt installation...
Error: Failed to determine the layout of your Qt installation. Try again using
the --verbose flag to see more detail about the problem.
 * ERROR: dev-python/PyQt4-4.9.4-r1 failed (configure phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line   89:  Called call-ebuildshell 'src_configure'
 *   environment, line 1138:  Called src_configure
 *   environment, line 5052:  Called python_execute_function '-s' 'configuration'
 *   environment, line 3346:  Called configuration
 *   environment, line 5037:  Called die
 * The specific snippet of code:
 *           "${myconf[@]}" || die;
 * 
 * If you need support, post the output of `emerge --info '=dev-python/PyQt4-4.9.4-r1'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/PyQt4-4.9.4-r1'`.
 * The complete build log is located at '/Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/temp/build.log'.
 * The ebuild environment file is located at '/Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/temp/environment'.
 * Working directory: '/Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work/PyQt-x11-gpl-4.9.4-2.7'
 * S: '/Users/marco/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work/PyQt-x11-gpl-4.9.4'
Comment 1 Simon Gao 2012-12-28 23:01:04 UTC
I run into this problem too.

The build stopped at:
Determining the layout of your Qt installation...

>>> Emerging (1 of 4) dev-python/PyQt4-4.9.4-r1
 * PyQt-x11-gpl-4.9.4.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...              [ ok ]
>>> Unpacking source...
>>> Unpacking PyQt-x11-gpl-4.9.4.tar.gz to /var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work
>>> Source unpacked in /var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work
>>> Preparing source in /var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work/PyQt-x11-gpl-4.9.4 ...
 * Applying PyQt4-4.7.2-configure.py.patch ...                                 [ ok ]
 * Applying PyQt4-4.9.4-pyuic-custom-widgets.patch ...                         [ ok ]
 * Preparation of dev-python/PyQt4-4.9.4-r1 with CPython 2.7...
 * Preparation of dev-python/PyQt4-4.9.4-r1 with CPython 3.2...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-python/PyQt4-4.9.4-r1/work/PyQt-x11-gpl-4.9.4 ...
 * Configuration of dev-python/PyQt4-4.9.4-r1 with CPython 2.7...
python2.7 configure.py --confirm-license --bindir=/usr/bin --destdir=/usr/lib64/python2.7/site-packages --sipdir=/usr/share/sip --assume-shared --no-timestamp --qsci-api --enable=QtCore --enable=QtNetwork --enable=QtScript --enable=QtXml --enable=QtGui --enable=QtDesigner --enable=QtScriptTools --enable=QtTest --enable=QtDBus --enable=QtDeclarative --enable=QtOpenGL --enable=QtSql --enable=QtSvg --enable=QtWebKit CC=x86_64-pc-linux-gnu-gcc CXX=x86_64-pc-linux-gnu-g++ LINK=x86_64-pc-linux-gnu-g++ LINK_SHLIB=x86_64-pc-linux-gnu-g++ CFLAGS=-march=core2 -mtune=generic -O2 -pipe CXXFLAGS=-march=core2 -mtune=generic -O2 -pipe LFLAGS=-Wl,-O1 -Wl,--as-needed
Determining the layout of your Qt installation...

# emerge --info =dev-python/PyQt4-4.9.4-r1
Portage 2.1.11.31 (default/linux/amd64/10.0, gcc-4.5.4, glibc-2.15-r3, 3.6.11-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.6.11-gentoo-x86_64-Intel-R-_Core-TM-_i7-2720QM_CPU_@_2.20GHz-with-gentoo-2.1
Timestamp of tree: Fri, 28 Dec 2012 19:30:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -mtune=generic -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl alsa amd64 berkdb bindist bzip2 cjk cli consolekit cracklib crypt cups cxx dbus dri dvd fortran gdbm gpg gpm iconv ipv6 kde mbox mmx modules mudflap multilib ncurses nls nptl opengl openmp pam pcre pda policykit pppd pulseaudio qt qt3support readline sdl semantic-desktop session sse sse2 ssl tcpd udev unicode v4l2 xcb zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon vesa fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Kola Bernard 2013-01-17 05:38:43 UTC
I have the same problem with actual =dev-python/PyQt4-4.9.6-r1

~ $ cat /Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/temp/build.log
 * Package:    dev-python/PyQt4-4.9.6-r1
 * Repository: gentoo_prefix
 * Maintainer: qt@gentoo.org python@gentoo.org
 * Upstream:   phil@riverbankcomputing.com pyqt@riverbankcomputing.com
 * USE:        X declarative elibc_Darwin kernel_Darwin prefix sql svg userland_GNU x64-macos
 * FEATURES:   nostrip preserve-libs sandbox
>>> Unpacking source...
>>> Unpacking PyQt-x11-gpl-4.9.6.tar.gz to /Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/work
>>> Source unpacked in /Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/work
>>> Preparing source in /Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/work/PyQt-x11-gpl-4.9.6 ...
 * Preparation of dev-python/PyQt4-4.9.6-r1 with CPython 2.7...
 * Preparation of dev-python/PyQt4-4.9.6-r1 with CPython 3.3...
>>> Source prepared.
>>> Configuring source in /Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/work/PyQt-x11-gpl-4.9.6 ...
 * Configuration of dev-python/PyQt4-4.9.6-r1 with CPython 2.7...
python2.7 configure.py --confirm-license --bindir=/Users/testuser/Gentoo/usr/bin --destdir=/Users/testuser/Gentoo/usr/lib/python2.7/site-packages --sipdir=/Users/testuser/Gentoo/usr/share/sip --assume-shared --no-timestamp --qsci-api --enable=QtCore --enable=QtNetwork --enable=QtXml --enable=QtDesigner --enable=QtGui --enable=QtTest --enable=QtDeclarative --enable=QtSql --enable=QtSvg AR=x86_64-apple-darwin11-ar cqs CC=x86_64-apple-darwin11-gcc CFLAGS=-march=nocona -O2 -pipe CFLAGS_RELEASE= CXX=x86_64-apple-darwin11-g++ CXXFLAGS=-march=nocona -O2 -pipe CXXFLAGS_RELEASE= LINK=x86_64-apple-darwin11-g++ LINK_SHLIB=x86_64-apple-darwin11-g++ LFLAGS=-Wl,-dead_strip_dylibs LFLAGS_RELEASE= RANLIB= STRIP=
Determining the layout of your Qt installation...
Error: Failed to determine the layout of your Qt installation. Try again using
the --verbose flag to see more detail about the problem.
 * ERROR: dev-python/PyQt4-4.9.6-r1 failed (configure phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called call-ebuildshell 'src_configure'
 *   environment, line 1124:  Called src_configure
 *   environment, line 5039:  Called python_execute_function '-s' 'configuration'
 *   environment, line 3331:  Called configuration
 *   environment, line 5024:  Called die
 * The specific snippet of code:
 *           "${myconf[@]}" || die;
 * 
 * If you need support, post the output of `emerge --info '=dev-python/PyQt4-4.9.6-r1'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/PyQt4-4.9.6-r1'`.
 * The complete build log is located at '/Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/temp/build.log'.
 * The ebuild environment file is located at '/Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/temp/environment'.
 * Working directory: '/Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/work/PyQt-x11-gpl-4.9.6-2.7'
 * S: '/Users/testuser/Gentoo/var/tmp/portage/dev-python/PyQt4-4.9.6-r1/work/PyQt-x11-gpl-4.9.6'



$ emerge --info =dev-python/PyQt4-4.9.6-r1
Portage 2.2.01.21580-prefix (prefix/darwin/macos/10.7/x64, gcc-4.2.1, unavailable, 11.4.2 i386)
=================================================================
                        System Settings
=================================================================
System uname: Darwin-11.4.2-i386-64bit
Timestamp of tree: Wed, 16 Jan 2013 01:53:29 +0000
app-shells/bash:      4.2_p39-r1::gentoo_prefix
dev-lang/python:      2.7.3-r2::gentoo_prefix, 3.3.0::gentoo_prefix
sys-devel/autoconf:   2.69::gentoo_prefix
sys-devel/automake:   1.12.4::gentoo_prefix
sys-devel/gcc-config: 1.8-r00.1::gentoo_prefix
sys-devel/libtool:    2.4.2::gentoo_prefix
sys-devel/make:       3.82-r4::gentoo_prefix
Repositories: gentoo_prefix
ACCEPT_KEYWORDS="~x64-macos"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-apple-darwin11"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-apple-darwin11"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/Users/testuser/Gentoo/usr/portage/distfiles"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles force-prefix merge-sync news nostrip parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-dead_strip_dylibs"
MAKEOPTS="-j2"
PKGDIR="/Users/testuser/Gentoo/usr/portage/packages"
PORTAGE_CONFIGROOT="/Users/testuser/Gentoo/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/Users/testuser/Gentoo/var/tmp"
PORTDIR="/Users/testuser/Gentoo/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.prefix.freens.org/gentoo-portage-prefix"
USE="aqua coreaudio cracklib cxx ipv6 mmx mmxext modules ncurses nls objc objc++ prefix readline sse sse2 ssl unicode x64-macos zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="Darwin" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse" KERNEL="Darwin" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


I'm a bloody prefix greenhorn. :-/
Comment 3 * 2013-02-25 05:19:06 UTC
I'm having the same problem, and I entered another bug (Bug 458630) before noticing this one. Like Marco, I noticed I could get farther by modifying the configure.py, but then it fails at the last step when linking the QtCore.bundle:

ld: library not found for -lQtCore
collect2: ld returned 1 exit status
make[1]: *** [QtCore.bundle] Error 1

Not sure why, because it's there and it's 64-bit.

Could more people please vote for this bug, or mine?
Comment 4 Fabian Groffen gentoo-dev 2013-02-25 07:06:20 UTC
does the file QtCore.dylib exist, is it readable and in a reachable place (e.g. /opt/gentoo/usr/lib/gt4)?
Comment 5 * 2013-02-25 07:16:22 UTC
There is no QtCore.dylib but there is a QtCore.framework:
$ file /opt/gentoo/usr/lib/qt4/QtCore.framework/Versions/4/QtCore
/opt/gentoo/usr/lib/qt4/QtCore.framework/Versions/4/QtCore: Mach-O 64-bit dynamically linked shared library

I just replied to Bug 458630 but I got it to link using -framework QtCore instead of -lQtCore. I'm totally new to this, but maybe the bad Makefile is generated by sip?
Comment 6 Fabian Groffen gentoo-dev 2013-02-26 21:31:39 UTC
yes, you're on the right track
Comment 7 Fabian Groffen gentoo-dev 2013-02-26 21:31:45 UTC
*** Bug 458630 has been marked as a duplicate of this bug. ***
Comment 8 * 2013-03-04 23:36:34 UTC
Well, unfortunately I don't have time to learn how sip works right now and I needed PyQt4 installed a week ago. For now I've just modified the ebuild:

            # Fix insecure runpaths.
            sed -i -e "/^LFLAGS\s*=/ s:-Wl,-rpath,${BUILD_DIR}/qpy/${mod}::" \
                ${mod}/Makefile || die "failed to fix rpath for ${mod}"

+            # Fix bad link line.
+            sed -i -e "s/lQtCore/framework QtCore/" \
+                ${mod}/Makefile || die "failed to fix LIBS for ${mod}"

Now PyQt4 installs, except that doesn't include PyQt4.QtGui. And it appears that I'm missing both x11-libs/qt-* and dev-qt, due to:
https://bugs.gentoo.org/show_bug.cgi?id=460102
Comment 9 * 2013-03-05 04:55:00 UTC
That previous fix works, but only because there's another bug (I think). This part is missing the qpy:

            # Fix insecure runpaths.
            sed -i -e "/^LFLAGS\s*=/ s:-Wl,-rpath,${BUILD_DIR}/qpy/${mod}::" \
                qpy/${mod}/Makefile || die "failed to fix rpath for ${mod}"

Then I need to pull my fix outside the loop:

        # Fix bad link line.
        sed -i -e "s/lQtCore/framework QtCore/" \
            QtCore/Makefile || die "failed to fix LIBS for QtCore"

And there is no python.pro only python.pro-in:

        if use X; then
            pushd designer > /dev/null || return
            eqmake4 python.pro-in
            popd > /dev/null || return
        fi

After all that, it installs a bunch of stuff including dev-qt/qtgui but I *still* can't import PyQt4.QtGui. Seems like there should be a bundle in site-package.

To get the dev-qt, I checked it out as an overlay.
Comment 10 Fabian Groffen gentoo-dev 2013-03-05 06:59:53 UTC
(In reply to comment #9)
> To get the dev-qt, I checked it out as an overlay.

this should be fixed in 10 mins
Comment 11 * 2013-03-05 19:50:46 UTC
Thanks. The problem with QtGui was because all the configure tests were failing to build, because of the same -l vs -framework problem. I hacked the configure.py again to fix the link lines in the tests, then hacked the ebuild again to fix the link lines in the Makefiles for all modules:

        # Fix bad link lines.
        libs=$(ls -d Qt[A-Z]*)
        files=$(find . -type f -name Makefile)
        for file in $files; do
            for lib in $libs; do
                sed -i -e "s/l$lib/framework $lib/" \
                    $file || die "failed to fix LIBS for $file"
            done
        done

Also had to comment this out in the ebuild:

    # Use proper include directory for phonon.
    sed -i -e "s:^\s\+generate_code(\"phonon\":&, extra_include_dirs=[\"${EPREFIX}/usr/include/phonon\"]:" \
        configure.py || die

Because it was creating a duplicate extra_include_dirs. And it doesn't work to "eqmake4 python.pro-in" due to the unresolved vars so I commented that out too:

        # Avoid stripping of libpythonplugin.so.
        if use X; then
            pushd designer > /dev/null || return
            eqmake4 python.pro
            popd > /dev/null || return
        fi

Hope that helps someone because it was about 3 days of work.
Comment 12 Davide Pesavento gentoo-dev 2014-09-12 21:39:22 UTC
Is this still an issue with current versions of PyQt4 (e.g. 4.11.1)?
Comment 13 Juan Luis 2016-03-31 21:07:19 UTC
 Happening again with dev-python/PyQt4-4.11.1
Comment 14 Juan Luis 2016-04-01 04:43:28 UTC
(In reply to Juan Luis from comment #13)
>  Happening again with dev-python/PyQt4-4.11.1

 Had to fix it by manually selecting the appropriate qt set with qtchooser, I wonder if emerge could do it automatically, took me some time to find the solution.
Comment 15 * 2016-04-01 05:23:04 UTC
Good that you fixed it. Qt4 is getting pretty old. What I've done for myself is hack the PyQt5 ebuild to use the binary distribution of Qt5, since I don't want to use X on a mac.
Comment 16 Michael Palimaka (kensington) gentoo-dev 2016-04-01 06:11:08 UTC
(In reply to Juan Luis from comment #14)
> (In reply to Juan Luis from comment #13)
> >  Happening again with dev-python/PyQt4-4.11.1
> 
>  Had to fix it by manually selecting the appropriate qt set with qtchooser,
> I wonder if emerge could do it automatically, took me some time to find the
> solution.

That particular issue is fixed in 4.11.4 and is being stabilised in bug #552122.